package com.cim.idm.wmspackage.productshiprequest.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductShipRequestDetail extends FieldAccessor implements
		DataInfo<ProductShipRequestDetailKey> {

	private ProductShipRequestDetailKey key;
	
	private String productSpecName;
	private String grade;
	private String domesticExport; // DOMESTIC / EXPORT
//	private long requestProductQuantity;
//	private long assignedProductQuantity;
	private long requestQuantity;
	private long assignedQuantity;
	
//	private String lastEventName;
//	private String lastEventTimeKey;
//	private Timestamp lastEventTime;
//	private String lastEventUser;
//	private String lastEventComment;
	
	public ProductShipRequestDetail(){}
	
	public ProductShipRequestDetail(String siteName, String invoiceNo,
			String invoiceDetailNo, String productSpecName,
			long assignedQuantity, long requestQuantity,
			String domesticExport, String grade) {
		ProductShipRequestDetailKey key = new ProductShipRequestDetailKey(siteName, invoiceNo, invoiceDetailNo);
		this.key = key;
		this.productSpecName = productSpecName;
		this.assignedQuantity = assignedQuantity;
		this.requestQuantity = requestQuantity;
		this.domesticExport = domesticExport;
		this.grade = grade;
	}

	@Override
	public ProductShipRequestDetailKey getKey() {
		return key;
	}

	@Override
	public void setKey(ProductShipRequestDetailKey keyInfo) {
		this.key = keyInfo;
	}

	public String getProductSpecName() {
		return productSpecName;
	}

	public void setProductSpecName(String productSpecName) {
		this.productSpecName = productSpecName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getDomesticExport() {
		return domesticExport;
	}

	public void setDomesticExport(String domesticExport) {
		this.domesticExport = domesticExport;
	}

	public long getRequestQuantity() {
		return requestQuantity;
	}

	public void setRequestQuantity(long requestQuantity) {
		this.requestQuantity = requestQuantity;
	}

	public long getAssignedQuantity() {
		return assignedQuantity;
	}

	public void setAssignedQuantity(long assignedQuantity) {
		this.assignedQuantity = assignedQuantity;
	}



//	public long getRequestProductQuantity() {
//		return requestProductQuantity;
//	}
//
//	public void setRequestProductQuantity(long requestProductQuantity) {
//		this.requestProductQuantity = requestProductQuantity;
//	}
//
//	public long getAssignedProductQuantity() {
//		return assignedProductQuantity;
//	}
//
//	public void setAssignedProductQuantity(long assignedProductQuantity) {
//		this.assignedProductQuantity = assignedProductQuantity;
//	}

//	public String getLastEventName() {
//		return lastEventName;
//	}
//
//	public void setLastEventName(String lastEventName) {
//		this.lastEventName = lastEventName;
//	}
//
//	public String getLastEventTimeKey() {
//		return lastEventTimeKey;
//	}
//
//	public void setLastEventTimeKey(String lastEventTimeKey) {
//		this.lastEventTimeKey = lastEventTimeKey;
//	}
//
//	public Timestamp getLastEventTime() {
//		return lastEventTime;
//	}
//
//	public void setLastEventTime(Timestamp lastEventTime) {
//		this.lastEventTime = lastEventTime;
//	}
//
//	public String getLastEventUser() {
//		return lastEventUser;
//	}
//
//	public void setLastEventUser(String lastEventUser) {
//		this.lastEventUser = lastEventUser;
//	}
//
//	public String getLastEventComment() {
//		return lastEventComment;
//	}
//
//	public void setLastEventComment(String lastEventComment) {
//		this.lastEventComment = lastEventComment;
//	}

}
